type Names = {
	previous_site_name: string
	next_site_name: string
};

export async function main() {
	if (import.meta.env.SSR) return;

	let api_url = import.meta.env.PUBLIC_API_URL;
	let site_url = import.meta.env.PUBLIC_SITE_URL;
	let previous_text = document.getElementById("previous-text") as HTMLParagraphElement;
	let next_text = document.getElementById("next-text") as HTMLParagraphElement;
	
	const request = await fetch(`${api_url}/name?source_url=${site_url}`);
	const names: Names = await request.json();

	previous_text.textContent = names.previous_site_name;
	next_text.textContent = names.next_site_name;
}
